Bug 977424 - [RFE] Enable hdri in ImageMagick
[RFE] Enable hdri in ImageMagick
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 10:06 EDT by Sergio Pascual
Modified: 2015-12-04 15:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 15:48:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-06-24 10:06:00 EDT
I'm interested in enabling hdri (high dynamic range imaging) in ImageMagick. Curiously, there is an entry in the changelog claiming that it's enabled

* Thu Nov 25 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 6.6.5.10-17
- New version 6.6.5-10.
- Add --enable-hdri switch by request of Petr Vlašic.

But the switch is not added in the configure macro. Nor there is an entry in the changelog saying when it was removed.
Comment 1 Pavel Alexeev 2013-07-01 11:16:34 EDT
Unfortunately enabling this mangle lib names like:
libMagickCore-6.Q16HDRI.so.1 instead of old libMagickCore-6.Q16.so.1

Could it have some side effects to others or I can just rename it to old names?
Comment 2 Pavel Alexeev 2013-07-02 14:18:55 EDT
According to http://www.imagemagick.org/script/high-dynamic-range.php and http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21534&start=15 it is not backward capable and slowly. So, I can't enable it for all users by default.
And it will default in IM7.
So, if you are willing I can build it and package as set of subpackages like ImageMagick-hdri, ImageMagick-c++-hdri and so on.
Is it desired?
Comment 3 Sergio Pascual 2013-07-08 06:51:34 EDT
That would be great, thank you very much. And it hdri is going to be default in IM7, having hdri packages earlier will allow others to test it.
Comment 4 Pavel Alexeev 2013-07-12 03:03:15 EDT
Ok, maybe we can then just wait 7 version and then update?
Comment 5 Sergio Pascual 2013-07-12 03:44:40 EDT
When is it planned to e released?
Comment 6 Pavel Alexeev 2013-07-17 15:49:16 EDT
According to http://www.imagemagick.org/script/porting.php its available as Alpha. So, you can test it. I think it have no worth then start experiments with 6 branch.

Note You need to log in before you can comment on or make changes to this bug.